Loading...
Searching...
No Matches
proteinIterator.h File Reference
`#include <BALL/KERNEL/iterator.h>`
`#include <BALL/KERNEL/protein.h>`
`#include <BALL/KERNEL/predicate.h>`

Go to the source code of this file.

## Classes

class | BALL::ProteinIteratorTraits

## Namespaces

namespace | BALL

## Typedefs

typedef BidirectionalIterator< Composite, Protein, Composite::CompositeIterator, ProteinIteratorTraits > | BALL::ProteinIterator
typedef ConstBidirectionalIterator< Composite, Protein, Composite::CompositeIterator, ProteinIteratorTraits > | BALL::ProteinConstIterator
typedef std::reverse_iterator< ProteinIterator > | BALL::ProteinReverseIterator
typedef std::reverse_iterator< ProteinConstIterator > | BALL::ProteinConstReverseIterator